package ru.yandex.direct.api.v5.context.units;

import javax.annotation.Nullable;
import javax.annotation.ParametersAreNonnullByDefault;

@ParametersAreNonnullByDefault
public class SubclientBrandData {

    private Long subclientBrandClientId;
    private String subclientBrandLogin;
    private Integer subclientBrandUnitsDaily;
    private Integer subclientBrandUnitsManual;

    public Long getSubclientBrandClientId() {
        return subclientBrandClientId;
    }

    public String getSubclientBrandLogin() {
        return subclientBrandLogin;
    }

    public Integer getSubclientBrandUnitsDaily() {
        return subclientBrandUnitsDaily;
    }

    public Integer getSubclientBrandUnitsManual() {
        return subclientBrandUnitsManual;
    }

    public SubclientBrandData withSubclientBrandClientId(@Nullable Long subclientBrandClientId) {
        this.subclientBrandClientId = subclientBrandClientId;
        return this;
    }

    public SubclientBrandData withSubclientBrandLogin(String subclientBrandLogin) {
        this.subclientBrandLogin = subclientBrandLogin;
        return this;
    }

    public SubclientBrandData withSubclientBrandUnitsDaily(Integer subclientBrandUnitsDaily) {
        this.subclientBrandUnitsDaily = subclientBrandUnitsDaily;
        return this;
    }

    public SubclientBrandData withSubclientBrandUnitsManual(Integer subclientBrandUnitsManual) {
        this.subclientBrandUnitsManual = subclientBrandUnitsManual;
        return this;
    }

}
